package cn.com.qmth.examcloud.common.dto.oe.marking;

import java.util.ArrayList;
import java.util.List;

import cn.com.qmth.examcloud.common.dto.question.enums.QuesStructType;

/**
 * Created by yuanpan on 2017/1/18.
 */
public class PaperStructureDTO {

	private Long pk;// bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',

	private Long paperPk;// bigint(20) DEFAULT NULL COMMENT '试卷主键',

	private Integer index;// int(11) DEFAULT NULL COMMENT '结构下标',

	private String title;// varchar(180) DEFAULT NULL COMMENT '标题',

	private Double totalScore;// double DEFAULT NULL COMMENT '总分',

	private Integer count;// int(11) DEFAULT NULL COMMENT '题数',

	private Double score;// double DEFAULT NULL COMMENT '每题分值',

	private QuesStructType questionType;// varchar(90) DEFAULT NULL COMMENT
										// '题目类型',

	private List<PaperQuestion> paperQuestionList = new ArrayList<>();

	public Long getPk() {
		return pk;
	}

	public void setPk(Long pk) {
		this.pk = pk;
	}

	public Long getPaperPk() {
		return paperPk;
	}

	public void setPaperPk(Long paperPk) {
		this.paperPk = paperPk;
	}

	public Integer getIndex() {
		return index;
	}

	public void setIndex(Integer index) {
		this.index = index;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}

	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public QuesStructType getQuestionType() {
		return questionType;
	}

	public void setQuestionType(QuesStructType questionType) {
		this.questionType = questionType;
	}

	public List<PaperQuestion> getPaperQuestionList() {
		return paperQuestionList;
	}

	public void setPaperQuestionList(List<PaperQuestion> paperQuestionList) {
		this.paperQuestionList = paperQuestionList;
	}
}
