package cn.com.qmth.examcloud.common.dto.core;

import java.io.Serializable;

import cn.com.qmth.examcloud.common.dto.core.enums.Gender;
import cn.com.qmth.examcloud.common.dto.core.enums.UserScope;
import cn.com.qmth.examcloud.common.dto.core.enums.UserType;

public class User implements Serializable{

    private static final long serialVersionUID = 9190180279768027647L;

    private Long id;

    private Long rootOrgId;

    private Long orgId;

    private String name;

    private String loginName;

    private String password;

    private String mobile;

    private Gender gender;

    private UserScope scope;

    private String avatar;

    private UserType type;

    private boolean enable;

    private String createTime;

    private String updateTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Gender getGender() {
        return gender;
    }

    public void setGender(Gender gender) {
        this.gender = gender;
    }

    public UserScope getScope() {
        return scope;
    }

    public void setScope(UserScope scope) {
        this.scope = scope;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public UserType getType() {
        return type;
    }

    public void setType(UserType type) {
        this.type = type;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public User() {
    }
    
    public User(String name,UserScope scope,Long rootOrgId,Long orgId,UserType type) {
    	this.name = name;
    	this.scope = scope;
    	this.rootOrgId = rootOrgId;
    	this.orgId = orgId;
    	this.type = type;
    }
}
