package cn.com.qmth.examcloud.common.dto.marking;

import java.util.HashSet;
import java.util.Set;

/**
 * 评卷范围
 */
public class MarkRange extends IdEntity {

	private String name;

	private String paperId;

	private Long workId;

	private MarkMode markMode;

	public Long getWorkId() {
		return workId;
	}

	public void setWorkId(Long workId) {
		this.workId = workId;
	}

	private Set<MarkItem> markItems = new HashSet<MarkItem>();

	private Set<MarkTaskDTO> markTasks = new HashSet<MarkTaskDTO>();

	public MarkRange() {
	}

	public MarkRange(String name, String paperId, Long workId,
			Set<MarkItem> markItems, MarkMode markMode) {
		this.name = name;
		this.paperId = paperId;
		this.workId = workId;
		this.markItems = markItems;
		this.markMode = markMode;
	}

	public String getPaperId() {
		return paperId;
	}

	public void setPaperId(String paperId) {
		this.paperId = paperId;
	}

	public MarkMode getMarkMode() {
		return markMode;
	}

	public void setMarkMode(MarkMode markMode) {
		this.markMode = markMode;
	}

	public Set<MarkItem> getMarkItems() {
		return markItems;
	}

	public void setMarkItems(Set<MarkItem> markItems) {
		this.markItems = markItems;
	}

	public Set<MarkTaskDTO> getMarkTasks() {
		return markTasks;
	}

	public void setMarkTasks(Set<MarkTaskDTO> markTasks) {
		this.markTasks = markTasks;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
